incubator-sling-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jus...@apache.org
Subject svn commit: r1032631 - /sling/site/obr/sling.xml
Date Mon, 08 Nov 2010 16:30:02 GMT
Author: justin
Date: Mon Nov  8 16:30:02 2010
New Revision: 1032631

URL: http://svn.apache.org/viewvc?rev=1032631&view=rev
Log:
adding new JCR releases to OBR

Modified:
    sling/site/obr/sling.xml

Modified: sling/site/obr/sling.xml
URL: http://svn.apache.org/viewvc/sling/site/obr/sling.xml?rev=1032631&r1=1032630&r2=1032631&view=diff
==============================================================================
--- sling/site/obr/sling.xml (original)
+++ sling/site/obr/sling.xml Mon Nov  8 16:30:02 2010
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="ISO-8859-1" standalone="yes"?>
 <?xml-stylesheet type="text/xml" href="obr2html.xsl"?>
 
-<repository lastmodified="20100914111155.888" name="Apache Sling Release Repository">
+<repository lastmodified="20101108112950.168" name="Apache Sling Release Repository">
 <resource id="org.apache.sling.api/2.0.2.incubator" presentationname="Sling - Servlet
Extension API" symbolicname="org.apache.sling.api" uri="http://people.apache.org/repo/m2-incubating-repository/org/apache/sling/org.apache.sling.api/2.0.2-incubator/org.apache.sling.api-2.0.2-incubator.jar"
version="2.0.2.incubator">
 <description>The Sling API defines an extension to the Servlet API 2.4 to        provide
access to content and unified access to request        parameters hiding the differences between
the different methods        of transferring parameters from client to server. Note that the
       Sling API bundle does not include the Servlet API but instead        requires the API
to be provided by the Servlet container in        which the Sling framework is running or
by another bundle.</description>
 <size>46754</size>
@@ -3204,4 +3204,199 @@
 <require extend="false" filter="(&amp;(package=org.osgi.service.component)(version&gt;=1.0.0))"
multiple="false" name="package" optional="false">Import package org.osgi.service.component
;version=1.0.0</require>
 <require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.5.0))"
multiple="false" name="package" optional="false">Import package org.slf4j ;version=1.5.0</require>
 </resource>
+<resource id="org.apache.sling.jcr.davex/1.0.0" presentationname="Apache Sling DavEx Access
to repositories" symbolicname="org.apache.sling.jcr.davex" uri="http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.jcr.davex/1.0.0/org.apache.sling.jcr.davex-1.0.0.jar"
version="1.0.0">
+<description>Bundle to access JCR repositories over DavEx</description>
+<size>1649156</size>
+<documentation>http://sling.apache.org</documentation>
+<source>org/apache/sling/org.apache.sling.jcr.davex/1.0.0/org.apache.sling.jcr.davex-1.0.0-sources.jar</source>
+<license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+<category id="sling"/>
+<category id="jcr"/>
+<category id="org.apache.sling"/>
+<capability name="bundle">
+<p n="manifestversion" v="2"/>
+<p n="presentationname" v="Apache Sling DavEx Access to repositories"/>
+<p n="symbolicname" v="org.apache.sling.jcr.davex"/>
+<p n="version" t="version" v="1.0.0"/>
+</capability>
+<require extend="false" filter="(&amp;(package=javax.jcr)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.lock)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.lock ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.nodetype)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.nodetype ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.observation)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.observation ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.query)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.query ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.query.qom)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.query.qom ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.version)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.version ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.servlet)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.servlet</require>
+<require extend="false" filter="(&amp;(package=javax.servlet.http)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.servlet.http</require>
+<require extend="false" filter="(&amp;(package=javax.transaction.xa)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.transaction.xa</require>
+<require extend="false" filter="(&amp;(package=javax.xml.datatype)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.datatype</require>
+<require extend="false" filter="(&amp;(package=javax.xml.namespace)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.namespace</require>
+<require extend="false" filter="(&amp;(package=javax.xml.parsers)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.parsers</require>
+<require extend="false" filter="(&amp;(package=javax.xml.transform)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.transform</require>
+<require extend="false" filter="(&amp;(package=javax.xml.transform.dom)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.transform.dom</require>
+<require extend="false" filter="(&amp;(package=javax.xml.transform.sax)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.transform.sax</require>
+<require extend="false" filter="(&amp;(package=javax.xml.transform.stream)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.transform.stream</require>
+<require extend="false" filter="(&amp;(package=javax.xml.validation)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.validation</require>
+<require extend="false" filter="(&amp;(package=org.apache.commons.fileupload)(version&gt;=1.2.0))"
multiple="false" name="package" optional="false">Import package org.apache.commons.fileupload
;version=1.2.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.commons.fileupload.disk)(version&gt;=1.2.0))"
multiple="false" name="package" optional="false">Import package org.apache.commons.fileupload.disk
;version=1.2.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.commons.fileupload.servlet)(version&gt;=1.2.0))"
multiple="false" name="package" optional="false">Import package org.apache.commons.fileupload.servlet
;version=1.2.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.jackrabbit)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.jackrabbit ;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.jackrabbit.commons)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.jackrabbit.commons
;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.jackrabbit.commons.iterator)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.jackrabbit.commons.iterator
;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.jackrabbit.commons.json)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.jackrabbit.commons.json
;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.jackrabbit.commons.xml)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.jackrabbit.commons.xml
;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.jackrabbit.util)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.jackrabbit.util
;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.jackrabbit.value)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.jackrabbit.value
;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.tika.detect)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.tika.detect</require>
+<require extend="false" filter="(&amp;(package=org.apache.tika.metadata)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.tika.metadata</require>
+<require extend="false" filter="(&amp;(package=org.apache.tika.mime)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.tika.mime</require>
+<require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.5.0))"
multiple="false" name="package" optional="false">Import package org.slf4j ;version=1.5.0</require>
+<require extend="false" filter="(&amp;(package=org.w3c.dom)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.w3c.dom</require>
+<require extend="false" filter="(&amp;(package=org.w3c.dom.events)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.w3c.dom.events</require>
+<require extend="false" filter="(&amp;(package=org.w3c.dom.ls)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.w3c.dom.ls</require>
+<require extend="false" filter="(&amp;(package=org.w3c.dom.ranges)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.w3c.dom.ranges</require>
+<require extend="false" filter="(&amp;(package=org.w3c.dom.traversal)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.w3c.dom.traversal</require>
+<require extend="false" filter="(&amp;(package=org.xml.sax)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.xml.sax</require>
+<require extend="false" filter="(&amp;(package=org.xml.sax.ext)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.xml.sax.ext</require>
+<require extend="false" filter="(&amp;(package=org.xml.sax.helpers)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.xml.sax.helpers</require>
+</resource>
+<resource id="org.apache.sling.jcr.webdav/2.1.0" presentationname="Apache Sling Simple
WebDAV Access to repositories" symbolicname="org.apache.sling.jcr.webdav" uri="http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.jcr.webdav/2.1.0/org.apache.sling.jcr.webdav-2.1.0.jar"
version="2.1.0">
+<description>Bundle to access JCR repositories over WebDAV</description>
+<size>1871576</size>
+<documentation>http://sling.apache.org</documentation>
+<source>org/apache/sling/org.apache.sling.jcr.webdav/2.1.0/org.apache.sling.jcr.webdav-2.1.0-sources.jar</source>
+<license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+<category id="sling"/>
+<category id="jcr"/>
+<category id="org.apache.sling"/>
+<capability name="bundle">
+<p n="manifestversion" v="2"/>
+<p n="presentationname" v="Apache Sling Simple WebDAV Access to repositories"/>
+<p n="symbolicname" v="org.apache.sling.jcr.webdav"/>
+<p n="version" t="version" v="2.1.0"/>
+</capability>
+<require extend="false" filter="(&amp;(package=javax.imageio.spi)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.imageio.spi</require>
+<require extend="false" filter="(&amp;(package=javax.jcr)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.lock)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.lock ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.nodetype)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.nodetype ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.observation)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.observation ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.query)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.query ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.query.qom)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.query.qom ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.security)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.security ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.util)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.util ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.version)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.version ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.naming)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.naming</require>
+<require extend="false" filter="(&amp;(package=javax.servlet)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.servlet</require>
+<require extend="false" filter="(&amp;(package=javax.servlet.http)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.servlet.http</require>
+<require extend="false" filter="(&amp;(package=javax.transaction.xa)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.transaction.xa</require>
+<require extend="false" filter="(&amp;(package=javax.xml.datatype)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.datatype</require>
+<require extend="false" filter="(&amp;(package=javax.xml.namespace)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.namespace</require>
+<require extend="false" filter="(&amp;(package=javax.xml.parsers)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.parsers</require>
+<require extend="false" filter="(&amp;(package=javax.xml.transform)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.transform</require>
+<require extend="false" filter="(&amp;(package=javax.xml.transform.dom)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.transform.dom</require>
+<require extend="false" filter="(&amp;(package=javax.xml.transform.sax)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.transform.sax</require>
+<require extend="false" filter="(&amp;(package=javax.xml.transform.stream)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.transform.stream</require>
+<require extend="false" filter="(&amp;(package=javax.xml.validation)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.xml.validation</require>
+<require extend="false" filter="(&amp;(package=org.apache.commons.fileupload)(version&gt;=1.2.0))"
multiple="false" name="package" optional="false">Import package org.apache.commons.fileupload
;version=1.2.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.commons.fileupload.disk)(version&gt;=1.2.0))"
multiple="false" name="package" optional="false">Import package org.apache.commons.fileupload.disk
;version=1.2.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.commons.fileupload.servlet)(version&gt;=1.2.0))"
multiple="false" name="package" optional="false">Import package org.apache.commons.fileupload.servlet
;version=1.2.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.api.resource
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.commons.mime)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.commons.mime
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.commons.osgi)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.commons.osgi
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.jcr.api)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.jcr.api
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.tika.detect)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.tika.detect</require>
+<require extend="false" filter="(&amp;(package=org.apache.tika.metadata)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.tika.metadata</require>
+<require extend="false" filter="(&amp;(package=org.apache.tika.mime)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.tika.mime</require>
+<require extend="false" filter="(&amp;(package=org.osgi.service.component)(version&gt;=1.0.0))"
multiple="false" name="package" optional="false">Import package org.osgi.service.component
;version=1.0.0</require>
+<require extend="false" filter="(&amp;(package=org.osgi.service.http)(version&gt;=1.2.0))"
multiple="false" name="package" optional="false">Import package org.osgi.service.http ;version=1.2.0</require>
+<require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.5.0))"
multiple="false" name="package" optional="false">Import package org.slf4j ;version=1.5.0</require>
+<require extend="false" filter="(&amp;(package=org.w3c.dom)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.w3c.dom</require>
+<require extend="false" filter="(&amp;(package=org.w3c.dom.events)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.w3c.dom.events</require>
+<require extend="false" filter="(&amp;(package=org.w3c.dom.ls)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.w3c.dom.ls</require>
+<require extend="false" filter="(&amp;(package=org.w3c.dom.ranges)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.w3c.dom.ranges</require>
+<require extend="false" filter="(&amp;(package=org.w3c.dom.traversal)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.w3c.dom.traversal</require>
+<require extend="false" filter="(&amp;(package=org.xml.sax)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.xml.sax</require>
+<require extend="false" filter="(&amp;(package=org.xml.sax.ext)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.xml.sax.ext</require>
+<require extend="false" filter="(&amp;(package=org.xml.sax.helpers)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.xml.sax.helpers</require>
+</resource>
+<resource id="org.apache.sling.jcr.jackrabbit.accessmanager/2.1.0" presentationname="Apache
Sling Jackrabbit JSR-283 Access Control Manager Support" symbolicname="org.apache.sling.jcr.jackrabbit.accessmanager"
uri="http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.jcr.jackrabbit.accessmanager/2.1.0/org.apache.sling.jcr.jackrabbit.accessmanager-2.1.0.jar"
version="2.1.0">
+<description>Provides SlingPostOperations for the Jackrabbit JSR-283 Access Control
Manager.</description>
+<size>37652</size>
+<documentation>http://sling.apache.org</documentation>
+<source>org/apache/sling/org.apache.sling.jcr.jackrabbit.accessmanager/2.1.0/org.apache.sling.jcr.jackrabbit.accessmanager-2.1.0-sources.jar</source>
+<license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+<category id="sling"/>
+<category id="org.apache.sling"/>
+<capability name="bundle">
+<p n="manifestversion" v="2"/>
+<p n="presentationname" v="Apache Sling Jackrabbit JSR-283 Access Control Manager Support"/>
+<p n="symbolicname" v="org.apache.sling.jcr.jackrabbit.accessmanager"/>
+<p n="version" t="version" v="2.1.0"/>
+</capability>
+<capability name="package">
+<p n="package" v="org.apache.sling.jcr.jackrabbit.accessmanager"/>
+<p n="uses" v="javax.jcr.security,javax.jcr,org.apache.sling.jcr.base.util"/>
+<p n="version" t="version" v="2.1.0"/>
+</capability>
+<capability name="package">
+<p n="package" v="org.apache.sling.jcr.jackrabbit.accessmanager.post"/>
+<p n="uses" v="org.apache.sling.servlets.post,javax.jcr,org.apache.sling.api.wrappers,org.slf4j,javax.jcr.security,org.apache.sling.api.resource,org.apache.sling.api.servlets,javax.servlet,org.apache.sling.api,javax.servlet.http,org.apache.sling.jcr.base.util,org.apache.sling.commons.json,org.apache.jackrabbit.api.security.principal"/>
+<p n="version" t="version" v="2.1.0"/>
+</capability>
+<require extend="false" filter="(&amp;(package=javax.jcr)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.jcr.security)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr.security ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.servlet)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.servlet</require>
+<require extend="false" filter="(&amp;(package=javax.servlet.http)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.servlet.http</require>
+<require extend="false" filter="(&amp;(package=org.apache.jackrabbit.api.security.principal)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.jackrabbit.api.security.principal
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.api)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.api ;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.api.resource
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.api.servlets)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.api.servlets
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.api.wrappers)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.api.wrappers
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.commons.json)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.commons.json
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.jcr.base.util)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.jcr.base.util
;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.jcr.jackrabbit.accessmanager)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.jcr.jackrabbit.accessmanager
;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.jcr.jackrabbit.accessmanager.post)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.jcr.jackrabbit.accessmanager.post
;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.servlets.post)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.servlets.post
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.5.0))"
multiple="false" name="package" optional="false">Import package org.slf4j ;version=1.5.0</require>
+</resource>
+<resource id="org.apache.sling.jcr.jackrabbit.usermanager/2.1.0" presentationname="Apache
Sling Jackrabbit UserManager Support" symbolicname="org.apache.sling.jcr.jackrabbit.usermanager"
uri="http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.jcr.jackrabbit.usermanager/2.1.0/org.apache.sling.jcr.jackrabbit.usermanager-2.1.0.jar"
version="2.1.0">
+<description>Provides ResourceProvider and SlingPostOperations for the Jackrabbit 
      UserManager.</description>
+<size>66764</size>
+<documentation>http://sling.apache.org</documentation>
+<source>org/apache/sling/org.apache.sling.jcr.jackrabbit.usermanager/2.1.0/org.apache.sling.jcr.jackrabbit.usermanager-2.1.0-sources.jar</source>
+<license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+<category id="sling"/>
+<category id="org.apache.sling"/>
+<capability name="bundle">
+<p n="manifestversion" v="2"/>
+<p n="presentationname" v="Apache Sling Jackrabbit UserManager Support"/>
+<p n="symbolicname" v="org.apache.sling.jcr.jackrabbit.usermanager"/>
+<p n="version" t="version" v="2.1.0"/>
+</capability>
+<capability name="package">
+<p n="package" v="org.apache.sling.jackrabbit.usermanager"/>
+<p n="uses" v="javax.jcr"/>
+<p n="version" t="version" v="2.1.0"/>
+</capability>
+<require extend="false" filter="(&amp;(package=javax.jcr)(version&gt;=1.0.0))"
multiple="false" name="package" optional="false">Import package javax.jcr ;version=1.0.0</require>
+<require extend="false" filter="(&amp;(package=javax.servlet)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.servlet</require>
+<require extend="false" filter="(&amp;(package=javax.servlet.http)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package javax.servlet.http</require>
+<require extend="false" filter="(&amp;(package=org.apache.jackrabbit.api.security.principal)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.jackrabbit.api.security.principal
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.jackrabbit.api.security.user)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.jackrabbit.api.security.user
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.jackrabbit.util)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.jackrabbit.util</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.api)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.api ;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.api.request)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.api.request
;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.api.resource
;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.api.servlets)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.api.servlets
;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.api.wrappers)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.api.wrappers
;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.commons.json)(version&gt;=0.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.commons.json</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.commons.osgi)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.commons.osgi
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.jackrabbit.usermanager)(version&gt;=2.1.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.jackrabbit.usermanager
;version=2.1.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.jcr.api)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.jcr.api
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.jcr.base.util)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.jcr.base.util
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.jcr.resource)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.jcr.resource
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.apache.sling.servlets.post)(version&gt;=2.0.0))"
multiple="false" name="package" optional="false">Import package org.apache.sling.servlets.post
;version=2.0.0</require>
+<require extend="false" filter="(&amp;(package=org.osgi.service.component)(version&gt;=1.0.0))"
multiple="false" name="package" optional="false">Import package org.osgi.service.component
;version=1.0.0</require>
+<require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.5.0))"
multiple="false" name="package" optional="false">Import package org.slf4j ;version=1.5.0</require>
+</resource>
 </repository>



Mime
View raw message